Bug 1122704 - Cannot resolve 'task has no work name' error
Summary: Cannot resolve 'task has no work name' error
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.2
Hardware: x86_64
OS: Windows
high
high
Target Milestone: ER3
: 6.1.0
Assignee: Tihomir Surdilovic
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 19:59 UTC by Phil Simpson
Modified: 2018-01-30 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
BPMN2 with work name error (7.40 KB, text/plain)
2014-07-23 19:59 UTC, Phil Simpson
no flags Details

Description Phil Simpson 2014-07-23 19:59:12 UTC
Created attachment 920353 [details]
BPMN2 with work name error

Description of problem:
The attached BPMN2 produces a validation error:

Process 'TestProcess2' [example1.TestProcess2]: Task node 'One' [2] has no work name.

There is no such property available to set.  The task has a Name and a Task Name, but Work Name is not listed as a property in the designer.  Due to the error the process is not deployable.

Version-Release number of selected component (if applicable):
6.0.2

How reproducible:
Fairly easily

Steps to Reproduce:
1. Add a task to a process using the popup icons (ie do not drag the task from the pallet)
2.save process
3. error displayed

Actual results:


Expected results:


Additional info:

Comment 2 Phil Simpson 2014-09-11 15:57:48 UTC
Further investigation indicates that this error actually means that the indicated task has no task type, i.e. a task type = None.  Can we please change the error message to say this?

Also I question why this should be a problem anyway?  Can we just treat the task as a no-op from an execution standpoint?

Comment 3 Kris Verlaenen 2014-11-05 15:30:03 UTC
This should be 'Task Type' (which is things like User, Service, Script, etc.), Tiho, could you update the error message?

Comment 4 Jeremy Lindop 2014-11-20 17:20:52 UTC
validation message changed to refer to property 'task type' rather than 'work name'

master branch 
https://github.com/droolsjbpm/jbpm/commit/86c4a6e565fa6f02c9951e365637eda34ce3630d
6.2.x branch
https://github.com/droolsjbpm/jbpm/commit/0d2060aa27520973952723187650359acba40e49

Comment 5 Sona Mala 2014-12-16 10:19:00 UTC
It seems that the error message was changed on ER3.

Comment 6 Sona Mala 2015-01-14 07:53:53 UTC
Verified for 6.1.0 ER3.


Note You need to log in before you can comment on or make changes to this bug.